QGIS Application - Bug report #13831
Save to Spatialite fails if input is from same DB
2015-11-1503:10 AM - Anita Graser

Status: Closed

Priority: Normal

Assignee: René-Luc RelLuc

Category: Processing/Core

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 21855
Description

To reproduce, import e.g. the airports.shp from our sample data into a Spatialite DB. Then try to buffer it while writing the results in the
same Spatialite. The resulting table will be empty.

If the original Shapefile is used as input, everything works fine.

History

#1 - 2016-01-13 05:31 AM - Alexander Bruy
- Assignee changed from Victor Olaya to René-Luc RelLuc

| suspect this is caused by fact that SQLite allows only single connection to database

#2 - 2017-05-01 01:06 AM - Giovanni Manghi
- Easy fix? set to No
- Regression? set to No

#3 - 2018-02-22 01:46 PM - Arnaud Morvan

- Description updated

Note that when you create a spatialite file as output, it is not supported to add tables to an existing spatialite database using this method. When you select
an existing sqlite file as output, you're asked for a confirmation to overwrite the entire sqlite file.
So if you select your source sqlite database as output, you overwrite your source file before starting to read it.

#4 - 2019-03-09 04:09 PM - Giovanni Manghi
- Resolution set to end of life
- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
